package visitor_demo.book;

/**
 * Represents a text document or some component therein that can be traversed
 * with the visitor pattern.
 * 
 * @author Krysta Yousoufian, CSE 331
 *
 */
public interface Text {
    /**
     * The accept operation for the visitor pattern.
     */
    public void accept(TextVisitor v);
}
